### Constructor

# GUPnP Context new

deprecated: 1.6.

#### Declaration [src]

    GUPnPContext*
    gupnp_context_new (
      const char* iface,
      guint port,
      GError** error
    )

#### Description [src]

Create a new `GUPnPContext` with the specified `iface` and `port`.

Deprecated since: 1.6.

Use `gupnp_context_new_for_address()` instead.

#### Parameters

`iface`

  Type: `const char*`

  The network interface to use, or `NULL` to auto-detect.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`port`

  Type: `guint`

  Port to run on, or 0 if you don’t care what port is used.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GUPnPContext`

A new `GUPnPContext` object, or `NULL` on an error.

The caller of the function takes ownership of the data, and is responsible for freeing it.